import request from '@/utils/request'

// 用户提现申请查询
export function applicationGetAll(data) {
  return request({
    url: '/buyer_withdrawal/getAll',
    method: 'post',
    data
  })
}
// 用户提现申请详情查询
export function applicationGetById(data) {
  return request({
    url: '/buyer_withdrawal/getById',
    method: 'post',
    data
  })
}

// 用户提现申请处理
export function applicationHandle(data) {
  return request({
    url: '/buyer_withdrawal/handle',
    method: 'post',
    data
  })
}

//  查询提现手续费管理
export function commissionGetAll(data){
  return request({
    url:"/buyerWithdrawalConfig/getAll",
    method:"post",
    data
  })
}

//  新增提现手续费管理
export function addCommission(data){
  return request({
    url:"/buyerWithdrawalConfig/save",
    method:"post",
    data
  })
}

//  删除提现手续费管理

export function deleteCommission(data){
  return request({
    url:"/buyerWithdrawalConfig/delete",
    method:"post",
    data
  })
}


//  编辑提现手续费管理
export function edidCommission(data){
  return request({
    url:"/buyerWithdrawalConfig/update",
    method:"post",
    data
  })
}